nn.pp.rccore.impl

## Interface RemoteConsoleRenderer

-     public interface RemoteConsoleRenderer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `void` | `drawRemoteConsoleData(java.awt.Image image, int x, int y, int w, int h)`
    `int` | `getAndClearFps()`
    `<CT> CT` | `getCapablity(java.lang.Class<CT> capablity)` To enable easy extension to this API
    `RCCore.Interpolation` | `getInterpolation()`
    `java.util.concurrent.locks.ReadWriteLock` | `getLock()`
    `RCCore.OsdPosition` | `getOsdPosition()`
    `javax.swing.JComponent` | `getRCJComponent()`
    `java.lang.String` | `getRendererType()`
    `double` | `getScalingX()`
    `double` | `getScalingY()`
    `java.awt.image.BufferedImage` | `getSnapshot()`
    `java.awt.image.BufferedImage` | `getSnapshot(java.awt.Rectangle rect)`
    `void` | `init()`
    `boolean` | `isOsdDisabled()`
    `boolean` | `isScaleToFit()`
    `boolean` | `isScaleToFitKeepAr()`
    `void` | `screenResolutionChanged(java.awt.Dimension resolution)`
    `void` | `setCaptureRightAway(boolean capture)`
    `void` | `setEnforceSmmHotkeyCheck(boolean checkSmmHotkey)`
    `void` | `setFrameSize(java.awt.Dimension dim)`
    `void` | `setImageProvider(ImageProvider imageProvider)` This method is guaranteed to be called before establishing RFB connection to server
    `void` | `setInterpolation(RCCore.Interpolation interpol)`
    `void` | `setMouseSyncKeys(java.lang.String readableCode, java.lang.String keyCode)`
    `void` | `setMouseSyncString(java.lang.String string)`
    `void` | `setOSD(java.lang.String message, int duration, boolean blank)`
    `void` | `setOsdAlpha(int alphaPercent)`
    `void` | `setOsdBgColor(java.awt.Color color)`
    `void` | `setOsdDisabled(boolean disabled)`
    `void` | `setOsdFgColor(java.awt.Color color)`
    `void` | `setOsdFont(java.awt.Font font)`
    `void` | `setOsdMargin(int margin)`
    `void` | `setOsdPosition(RCCore.OsdPosition position)`
    `void` | `setOsdPosition(java.lang.String position)`
    `void` | `setRenewer(FramebufferRenewer renewer)`
    `void` | `setScaleToFit(boolean fit, boolean keepAr, java.awt.Dimension d)`
    `void` | `setScaling(double xs, double ys)`
    `void` | `setSingleCursorHelper(SingleCursorHelper helper)`
    `void` | `setSingleCursorMode(boolean single)`

- - ### Method Detail

    - #### getRCJComponent

          javax.swing.JComponent getRCJComponent()

    - #### getSnapshot

          java.awt.image.BufferedImage getSnapshot()

    - #### getSnapshot

          java.awt.image.BufferedImage getSnapshot(java.awt.Rectangle rect)

    - #### drawRemoteConsoleData

          void drawRemoteConsoleData(java.awt.Image image,
                                     int x,
                                     int y,
                                     int w,
                                     int h)

    - #### screenResolutionChanged

          void screenResolutionChanged(java.awt.Dimension resolution)

    - #### setOSD

          void setOSD(java.lang.String message,
                      int duration,
                      boolean blank)

    - #### init

          void init()

    - #### dispose

          void dispose()

    - #### setRenewer

          void setRenewer(FramebufferRenewer renewer)

    - #### setSingleCursorMode

          void setSingleCursorMode(boolean single)

    - #### setSingleCursorHelper

          void setSingleCursorHelper(SingleCursorHelper helper)

    - #### setMouseSyncString

          void setMouseSyncString(java.lang.String string)

    - #### setMouseSyncKeys

          void setMouseSyncKeys(java.lang.String readableCode,
                                java.lang.String keyCode)
                         throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### setCaptureRightAway

          void setCaptureRightAway(boolean capture)

    - #### setEnforceSmmHotkeyCheck

          void setEnforceSmmHotkeyCheck(boolean checkSmmHotkey)

    - #### setOsdBgColor

          void setOsdBgColor(java.awt.Color color)

    - #### setOsdFgColor

          void setOsdFgColor(java.awt.Color color)

    - #### setOsdAlpha

          void setOsdAlpha(int alphaPercent)

    - #### setOsdFont

          void setOsdFont(java.awt.Font font)

    - #### setOsdPosition

          void setOsdPosition(RCCore.OsdPosition position)

    - #### getOsdPosition

          RCCore.OsdPosition getOsdPosition()

    - #### setOsdPosition

          void setOsdPosition(java.lang.String position)

    - #### setOsdMargin

          void setOsdMargin(int margin)

    - #### setOsdDisabled

          void setOsdDisabled(boolean disabled)

    - #### isOsdDisabled

          boolean isOsdDisabled()

    - #### getScalingX

          double getScalingX()

    - #### getScalingY

          double getScalingY()

    - #### isScaleToFit

          boolean isScaleToFit()

    - #### isScaleToFitKeepAr

          boolean isScaleToFitKeepAr()

    - #### setScaling

          void setScaling(double xs,
                          double ys)
                   throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### setScaleToFit

          void setScaleToFit(boolean fit,
                             boolean keepAr,
                             java.awt.Dimension d)

    - #### getInterpolation

          RCCore.Interpolation getInterpolation()

    - #### setInterpolation

          void setInterpolation(RCCore.Interpolation interpol)

    - #### setFrameSize

          void setFrameSize(java.awt.Dimension dim)

    - #### getRendererType

          java.lang.String getRendererType()

    - #### getAndClearFps

          int getAndClearFps()

    - #### getCapablity

          <CT> CT getCapablity(java.lang.Class<CT> capablity)

      To enable easy extension to this API
      Type Parameters:
        `CT` - the type of capability
      Parameters:
        `capablity` - the capability
      Returns:
        the extension

    - #### getLock

          java.util.concurrent.locks.ReadWriteLock getLock()

      Returns:
        the lock which is to be used for image writing/reading. This is required in case if ImageProvider is used to fetch the backing image lock may be null in which case no locking is required

    - #### setImageProvider

          void setImageProvider(ImageProvider imageProvider)

      This method is guaranteed to be called before establishing RFB connection to server
      Parameters:
        `imageProvider` - - provider of Backing image use the backing image after obtaining the getLock().lock();

Copyright © 2025 Raritan Inc. All Rights Reserved.